%global modname flask-multistatic
%global sum A simple flask plugin to allow overriding static files

%if 0%{?fedora}
%global with_python3 1
%endif

Name:               python-flask-multistatic
Version:            1.0
Release:            7%{?dist}
Summary:            %{sum}

License:            BSD
URL:                https://pagure.io/flask-multistatic/
Source0:            https://pypi.python.org/packages/source/f/flask-multistatic/flask-multistatic-%{version}.tar.gz
BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python2-flask
BuildRequires:      python2-setuptools

%if 0%{?with_python3}
BuildRequires:      python3-devel
BuildRequires:      python3-flask
BuildRequires:      python3-setuptools
%endif


%description
Simple flask plugin allowing to override static files, making theming flask
applications really easy.


%package -n     python2-%{modname}
Summary:        %{sum}
Requires:       python2-flask

%{?python_provide:%python_provide python2-%{modname}}

%description -n python2-%{modname}
Simple flask plugin allowing to override static files, making theming flask
applications really easy.



%if 0%{?with_python3}
%package -n         python3-%{modname}
Summary:            %{sum}
Requires:           python3-flask

%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-flask-multistatic
Simple flask plugin allowing to override static files, making theming flask
applications really easy.
%endif


%prep
%autosetup -n %{modname}-%{version}

rm -rf %{modname}.egg-info


%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif


%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif


%files -n python2-%{modname}
%doc README.rst
%license LICENSE
%{python2_sitelib}/flask_multistatic.py*
%{python2_sitelib}/flask_multistatic-%{version}*

%if 0%{?with_python3}
%files -n python3-%{modname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/flask_multistatic.py*
%{python3_sitelib}/__pycache__/flask_multistatic*
%{python3_sitelib}/flask_multistatic-%{version}-*
%endif


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.0-6
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 11 2016 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0-1
- initial package for Fedora
